Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » AM3 » installing KM3
icon9.gif  installing KM3 [message #498879] Wed, 18 November 2009 23:27 Go to next message
Farah is currently offline FarahFriend
Messages: 56
Registered: July 2009
Member
hello, I want to install the KM3 for the ATL developper, but It is quite impossible since the only link I foud is
http://wiki.eclipse.org/AM3/How_Install_AM3_From_SVN
the problem is on the SVN! I tried with CVS but org.eclipse.gmt.am3 was not available !!
Is there any other method to install KM3 besides CVS and SVN.
actually I'm working with the latest version of eclipse and ATL. please help me
Re: installing KM3 [message #498880 is a reply to message #498879] Wed, 18 November 2009 23:28 Go to previous messageGo to next message
Farah is currently offline FarahFriend
Messages: 56
Registered: July 2009
Member
No Message Body
Re: installing KM3 [message #498921 is a reply to message #498879] Thu, 19 November 2009 08:31 Go to previous messageGo to next message
Hugo Bruneliere is currently offline Hugo BruneliereFriend
Messages: 612
Registered: July 2009
Senior Member
Hi Farah,

farah a écrit :
> hello, I want to install the KM3 for the ATL developper, but It is quite
> impossible since the only link I foud is
> http://wiki.eclipse.org/AM3/How_Install_AM3_From_SVN

From this page, the provided instructions are correct.You must use SVN
(and not CVS) as the AM3 project has a SVN repository.
However, these plug-ins are only compatible with ATL 2.0 or 2.1 and not
with ATL 3.0!

> the problem is on the SVN! I tried with CVS but org.eclipse.gmt.am3 was
> not available !!
> Is there any other method to install KM3 besides CVS and SVN.

Cf. my previous answer.

> actually I'm working with the latest version of eclipse and ATL. please
> help me

As stated before, the KM3 plug-in and related plug-ins are not
compatible with ATL3.x versions. As a consequence, you must use an
ATL2.x version in order to install KM3.

Best regards,

Hugo

--
-------------------------------------------------
Hugo Bruneliere - R&D Engineer
AtlanMod research team (INRIA & EMN) - Room B206
Ecole des Mines de Nantes
4, rue Alfred Kastler
44307 Nantes Cedex 3 - France
Office: +33 (0)2 51 85 82 21
EMail: hugo.bruneliere@inria.fr
-------------------------------------------------


------------------------------------------
Hugo Bruneliere - R&D Engineer
AtlanMod research team (Inria, EMN & LINA)
Ecole des Mines de Nantes
Nantes - France
------------------------------------------
Re: installing KM3 [message #499326 is a reply to message #498879] Fri, 20 November 2009 20:03 Go to previous messageGo to next message
Farah is currently offline FarahFriend
Messages: 56
Registered: July 2009
Member
Hello, thank you for the information
I have to install the km3 but I don't know how to start,
I can not find new project and the new file km3 ?!!!
Re: installing KM3 [message #499339 is a reply to message #498879] Fri, 20 November 2009 22:53 Go to previous messageGo to next message
Farah is currently offline FarahFriend
Messages: 56
Registered: July 2009
Member
"Plug-in Development perspective"
Click on Run -> Run as -> (Run-time workbench does not exist!!)
thanks

[Updated on: Fri, 20 November 2009 23:57]

Report message to a moderator

Re: installing KM3 [message #499674 is a reply to message #499326] Mon, 23 November 2009 16:38 Go to previous messageGo to next message
Hugo Bruneliere is currently offline Hugo BruneliereFriend
Messages: 612
Registered: July 2009
Senior Member
Hi Farah,

farah a écrit :
> Hello, thank you for the information
> I have to install the km3 but I don't know how to start,
> I can not find new project and the new file km3 ?!!!

You can create a simple text file with a ".km3" extension and just open
it (cf. http://wiki.eclipse.org/index.php/KM3 for more information on
the language itself).
When it has been written, you can right-click on it and select "Inject
KM3 to Ecore metamodel" for instance if you want to get its Ecore
equivalent.

I hope this help,

Hugo

--
-------------------------------------------------
Hugo Bruneliere - R&D Engineer
AtlanMod research team (INRIA & EMN) - Room B206
Ecole des Mines de Nantes
4, rue Alfred Kastler
44307 Nantes Cedex 3 - France
Office: +33 (0)2 51 85 82 21
EMail: hugo.bruneliere@inria.fr
-------------------------------------------------


------------------------------------------
Hugo Bruneliere - R&D Engineer
AtlanMod research team (Inria, EMN & LINA)
Ecole des Mines de Nantes
Nantes - France
------------------------------------------
Re: installing KM3 [message #502151 is a reply to message #498879] Sun, 06 December 2009 16:26 Go to previous message
Farah is currently offline FarahFriend
Messages: 56
Registered: July 2009
Member
hello, thank you for your help, But the problem is not resolved, I am don't have to use km3!
thank you

Farah
Previous Topic:problem with extract ecore metamodel to KM3
Next Topic:Problems extracting XML file from XML model.
Goto Forum:
  


Current Time: Thu Nov 20 21:16:01 GMT 2014

Powered by FUDForum. Page generated in 0.02079 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software